Index: trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1528)
+++ trunk/CONFIG/ORCA2_OFF_PISCES/scripts/BB_make	(revision 1538)
@@ -1583,4 +1586,10 @@
 	p4zflx.F90
 $(MODEL_LIB)(p4zint.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1597,13 +1606,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1614,7 +1617,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1626,4 +1629,10 @@
 	p4zint.F90
 $(MODEL_LIB)(p4zlim.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1640,13 +1649,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1657,7 +1660,7 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
@@ -1670,4 +1673,15 @@
 	p4zlim.F90
 $(MODEL_LIB)(p4zlys.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1690,18 +1704,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1713,7 +1716,8 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1721,5 +1725,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -1729,4 +1732,11 @@
 	p4zlys.F90
 $(MODEL_LIB)(p4zmeso.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1748,14 +1758,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1770,7 +1773,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1789,4 +1792,11 @@
 	p4zmeso.F90
 $(MODEL_LIB)(p4zmicro.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1808,14 +1818,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1830,7 +1833,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zint.o) \
@@ -1849,4 +1852,11 @@
 	p4zmicro.F90
 $(MODEL_LIB)(p4zmort.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1868,14 +1878,7 @@
 	$(MODEL_LIB)(traqsr.o) \
 	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -1890,7 +1893,7 @@
 	traqsr.F90 \
 	trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zsink.o) \
@@ -1907,4 +1910,15 @@
 	p4zmort.F90
 $(MODEL_LIB)(p4zopt.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -1926,18 +1940,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_oce.F90 \
@@ -1948,7 +1951,8 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -1956,5 +1960,4 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	iom.F90 \
 	oce_trc.F90 \
 	sms_pisces.F90 \
@@ -1965,11 +1968,23 @@
 	p4zopt.F90
 $(MODEL_LIB)(p4zprod.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -1989,19 +2004,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2016,7 +2019,9 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lib_mpp.o) \
@@ -2028,6 +2033,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zint.F90 \
@@ -2041,4 +2044,11 @@
 	p4zprod.F90
 $(MODEL_LIB)(p4zrem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2065,14 +2075,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2092,7 +2095,7 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
@@ -2117,11 +2120,23 @@
 	p4zrem.F90
 $(MODEL_LIB)(p4zsed.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2152,19 +2167,7 @@
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2190,7 +2193,10 @@
 	trc.F90 \
 	trc_oce.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2206,7 +2212,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
 	oce_trc.F90 \
 	p4zbio.F90 \
@@ -2227,4 +2230,15 @@
 	p4zsed.F90
 $(MODEL_LIB)(p4zsink.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2247,18 +2261,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	oce_trc.F90 \
@@ -2270,7 +2273,8 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(oce_trc.o) \
@@ -2278,5 +2282,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	iom.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -2385,16 +2388,19 @@
 	par_trc.F90
 $(MODEL_LIB)(phycst.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	par_oce.F90 \
 	phycst.F90
 $(MODEL_LIB)(prtctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2402,17 +2408,21 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
 	prtctl.F90
 $(MODEL_LIB)(prtctl_trc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2435,14 +2445,7 @@
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
+	$(MODEL_LIB)(zdf_oce.o) \
 	oce.F90 \
 	par_c14b.F90 \
@@ -2458,13 +2461,13 @@
 	trabbl.F90 \
 	traqsr.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_trc.o) \
 	oce_trc.F90 \
 	par_trc.F90 \
@@ -2483,33 +2486,8 @@
 	par_oce.F90 \
 	sbcrnf.F90
-$(MODEL_LIB)(sed.o) :	\
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(prtctl.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lib_print.F90 \
-	oce_trc.F90 \
-	par_kind.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	prtctl.F90 \
-	prtctl_trc.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
+$(MODEL_LIB)(sedadv.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2520,7 +2498,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2528,23 +2503,4 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	KEY_CPP \
-	sed.F90
-$(MODEL_LIB)(sedadv.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(p4zsink.o) \
-	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sms_pisces.o) \
-	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
 	$(MODEL_LIB)(sed.o) \
 	sed.F90 \
@@ -2563,4 +2519,7 @@
 	sedarr.F90
 $(MODEL_LIB)(sedbtb.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2572,7 +2531,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2581,6 +2537,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedmat.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedmat.o) \
 	sed.F90 \
 	sedmat.F90 \
@@ -2588,4 +2544,7 @@
 	sedbtb.F90
 $(MODEL_LIB)(sedchem.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2596,7 +2555,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2604,11 +2560,14 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	KEY_CPP \
 	sedchem.F90
 $(MODEL_LIB)(sedco3.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2619,7 +2578,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2632,4 +2588,7 @@
 	sedco3.F90
 $(MODEL_LIB)(seddsr.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2641,7 +2600,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2650,13 +2606,21 @@
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	KEY_CPP \
 	seddsr.F90
 $(MODEL_LIB)(seddta.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2672,33 +2636,81 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	iom.F90 \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
+	$(MODEL_LIB)(sed.o) \
+	sedarr.F90 \
+	sed.F90 \
+	KEY_CPP \
+	seddta.F90
+$(MODEL_LIB)(sed.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce_trc.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_pisces.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	prtctl_trc.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(p4zsink.o) \
+	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(trc.o) \
+	oce.F90 \
+	p4zsink.F90 \
+	par_sed.F90 \
+	sms_pisces.F90 \
+	trc.F90 \
+	KEY_CPP \
+	sed.F90
+$(MODEL_LIB)(sedini.o) :	\
 	daymod.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
 	iom_def.F90 \
+	iom.F90 \
 	iom_ioipsl.F90 \
 	iom_nf90.F90 \
 	iom_rstdimg.F90 \
 	lbclnk.F90 \
-	oce.F90 \
-	p4zsink.F90 \
-	par_sed.F90 \
-	sms_pisces.F90 \
-	trc.F90 \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
-	sed.F90 \
-	sedarr.F90 \
-	KEY_CPP \
-	seddta.F90
-$(MODEL_LIB)(sedini.o) :	\
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -2706,41 +2718,35 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedchem.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(seddta.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
-	iom.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedchem.F90 \
 	sedco3.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedrst.F90 \
 	KEY_CPP \
 	sedini.F90
 $(MODEL_LIB)(sedmat.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2751,7 +2757,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2764,4 +2767,7 @@
 	sedmat.F90
 $(MODEL_LIB)(sedmbc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2770,27 +2776,28 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedco3.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedco3.F90 \
 	sed.F90 \
-	sedco3.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(seddsr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(seddsr.o) \
+	seddsr.F90 \
 	sed.F90 \
-	seddsr.F90 \
 	KEY_CPP \
 	sedmbc.F90
 $(MODEL_LIB)(sedmodel.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2800,5 +2807,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedarr.o) \
@@ -2809,4 +2815,5 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
@@ -2814,12 +2821,7 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedadv.F90 \
 	sedarr.F90 \
@@ -2829,4 +2831,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2835,6 +2838,6 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedini.o) \
 	$(MODEL_LIB)(sedstp.o) \
 	sed.F90 \
@@ -2844,4 +2847,12 @@
 	sedmodel.F90
 $(MODEL_LIB)(sedrst.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2857,12 +2868,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2870,14 +2873,18 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	iom.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
 	sedrst.F90
 $(MODEL_LIB)(sedsfc.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2887,28 +2894,29 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(seddta.o) \
-	sed.F90 \
+	$(MODEL_LIB)(sed.o) \
 	sedarr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	KEY_CPP \
 	sedsfc.F90
 $(MODEL_LIB)(sedstp.o) :	\
+	daymod.F90 \
+	dianam.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -2919,5 +2927,4 @@
 	$(MODEL_LIB)(p4zsink.o) \
 	$(MODEL_LIB)(par_sed.o) \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sedco3.o) \
@@ -2925,23 +2932,18 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmat.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dianam.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
 	oce.F90 \
 	p4zsink.F90 \
 	par_sed.F90 \
-	sed.F90 \
 	sedarr.F90 \
 	sedco3.F90 \
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmat.F90 \
 	sms_pisces.F90 \
 	trc.F90 \
-	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedadv.o) \
 	$(MODEL_LIB)(sedbtb.o) \
@@ -2951,8 +2953,8 @@
 	$(MODEL_LIB)(seddta.o) \
 	$(MODEL_LIB)(sedmbc.o) \
+	$(MODEL_LIB)(sed.o) \
 	$(MODEL_LIB)(sedrst.o) \
 	$(MODEL_LIB)(sedsfc.o) \
 	$(MODEL_LIB)(sedwri.o) \
-	sed.F90 \
 	sedadv.F90 \
 	sedbtb.F90 \
@@ -2961,4 +2963,5 @@
 	seddsr.F90 \
 	seddta.F90 \
+	sed.F90 \
 	sedmbc.F90 \
 	sedrst.F90 \
@@ -2968,4 +2971,7 @@
 	sedstp.F90
 $(MODEL_LIB)(sedwri.o) :	\
+	daymod.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -2977,7 +2983,4 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trc.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	in_out_manager.F90 \
 	oce.F90 \
 	p4zsink.F90 \
@@ -2986,10 +2989,10 @@
 	sms_pisces.F90 \
 	trc.F90 \
+	dianam.F90 \
 	$(MODEL_LIB)(dianam.o) \
+	$(MODEL_LIB)(sedarr.o) \
 	$(MODEL_LIB)(sed.o) \
-	$(MODEL_LIB)(sedarr.o) \
-	dianam.F90 \
+	sedarr.F90 \
 	sed.F90 \
-	sedarr.F90 \
 	$(IOIPSL_LIB) \
 	KEY_CPP \
@@ -3040,12 +3043,27 @@
 	sol_oce.F90
 $(MODEL_LIB)(step.o) :	\
+	dianam.F90 \
+	dom_oce.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom_def.F90 \
+	iom.F90 \
+	iom_ioipsl.F90 \
+	iom_nf90.F90 \
+	iom_rstdimg.F90 \
+	lbclnk.F90 \
+	ldfeiv.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dianam.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_def.o) \
 	$(MODEL_LIB)(iom_ioipsl.o) \
 	$(MODEL_LIB)(iom_nf90.o) \
+	$(MODEL_LIB)(iom.o) \
 	$(MODEL_LIB)(iom_rstdimg.o) \
 	$(MODEL_LIB)(lbclnk.o) \
@@ -3066,36 +3084,21 @@
 	$(MODEL_LIB)(sms_pisces.o) \
 	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
-	$(MODEL_LIB)(trcsms.o) \
 	$(MODEL_LIB)(trcsms_c14b.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
 	$(MODEL_LIB)(trcsms_my_trc.o) \
+	$(MODEL_LIB)(trcsms.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trctrp.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trcwri.o) \
 	$(MODEL_LIB)(trdmld_trc.o) \
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
-	dianam.F90 \
-	dom_oce.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	iom_def.F90 \
-	iom_ioipsl.F90 \
-	iom_nf90.F90 \
-	iom_rstdimg.F90 \
-	lbclnk.F90 \
-	ldfeiv.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	oce_trc.F90 \
@@ -3109,10 +3112,10 @@
 	sms_pisces.F90 \
 	trabbl.F90 \
-	trc.F90 \
 	trcdia.F90 \
+	trc.F90 \
 	trcrst.F90 \
-	trcsms.F90 \
 	trcsms_c14b.F90 \
 	trcsms_cfc.F90 \
+	trcsms.F90 \
 	trcsms_my_trc.F90 \
 	trctrp.F90 \
@@ -3122,8 +3125,16 @@
 	trdmld_trc_oce.F90 \
 	trp_trc.F90 \
-	zdf_oce.F90 \
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	zdf_oce.F90 \
 	zpshde.F90 \
+	daymod.F90 \
+	dom_oce.F90 \
+	dtadyn.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	lbclnk.F90 \
+	ldftra_oce.F90 \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dom_oce.o) \
@@ -3140,12 +3151,4 @@
 	$(MODEL_LIB)(trcstp.o) \
 	$(MODEL_LIB)(zdf_oce.o) \
-	daymod.F90 \
-	dom_oce.F90 \
-	dtadyn.F90 \
-	eosbn2.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	lbclnk.F90 \
-	ldftra_oce.F90 \
 	oce.F90 \
 	stpctl.F90 \
@@ -3158,4 +3161,8 @@
 	step.F90
 $(MODEL_LIB)(stpctl.o) :	\
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -3165,31 +3172,27 @@
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	lib_print.F90 \
 	oce.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lbclnk.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	dom_oce.F90 \
-	in_out_manager.F90 \
-	lbclnk.F90 \
-	lib_mpp.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce.o) \
 	oce.F90 \
 	stpctl.F90
 $(MODEL_LIB)(trabbl.o) :	\
+	lib_print.f90 \
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
-	lib_print.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	in_out_manager.F90 \
+	in_out_manager.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
 	domzgr_substitute.h90 \
 	vectopt_loop_substitute.h90 \
